Bug 1126070 - RFE: Uploads do not over-write existing images
Summary: RFE: Uploads do not over-write existing images
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Pulp
Classification: Retired
Component: docker-support
Version: 2.4 Beta
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 18:27 UTC by Aaron Weitekamp
Modified: 2014-11-24 13:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-27 16:16:33 UTC


Attachments (Terms of Use)

Description Aaron Weitekamp 2014-08-01 18:27:08 UTC
Description of problem:
Docker image layers are essentially permanent objects. Pulp overwrites image layers during upload.

Version-Release number of selected component (if applicable):
2.4Beta

How reproducible:
always

Steps to Reproduce:
1. docker save image
2. upload an image
3. create a new image based on previous image
4. upload image

Actual results:
All image layers are replaced in repo

Expected results:
Only the new layers should be added to repo

Additional info:

Comment 2 Michael Hrivnak 2014-08-04 18:37:28 UTC
Looking at the code, it appears that it will not overwrite the files in /var/lib/pulp/content/ if they already exist. Are you seeing something different?

Please elaborate on what makes you think the layers are being overwritten.

Comment 3 Brian Bouterse 2014-08-27 16:16:33 UTC
Since we haven't received the information we are going to close this. Please reopen it if you have more info to help us resolve it.


Note You need to log in before you can comment on or make changes to this bug.